Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1059450 - GNUMake Licence listed as GPLv2+ but its GPLv3
Summary: GNUMake Licence listed as GPLv2+ but its GPLv3
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: make
Version: 20
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Patsy Franklin
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-01-29 21:48 UTC by Satish Balay
Modified: 2015-02-26 14:36 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-02-26 14:36:12 UTC


Attachments (Terms of Use)

Description Satish Balay 2014-01-29 21:48:23 UTC
Description of problem:

GNUMake Licence listed as GPLv2+ but its GPLv3

Version-Release number of selected component (if applicable):

make-3.82-19.fc20.x86_64

Additional info:
$ rpm -qi make |grep License
License     : GPLv2+

'COPYING' file from upstream make-3.82.tar.gz has:

>>>>>>>
                    GNU GENERAL PUBLIC LICENSE
                       Version 3, 29 June 2007
<<<<<<<

Comment 1 Patsy Franklin 2015-02-26 14:36:12 UTC
Hi,

This is fixed in Fedora 21:

[root@nec-em18 ~]# rpm -qi make |grep License
License     : GPLv3+
[root@nec-em18 ~]# 

Thanks for reporting this!
Patsy


Note You need to log in before you can comment on or make changes to this bug.